//遍历公用组件,引入并且全局注册
let components = require
  .context("../components", true, /.vue$/)
  .keys()
  .map(key => {
    return require(`../components${key.replace(".", "")}`).default;
  });

export default function initComponent() {
  components.forEach(component => {
    this.component(component.name, component);
  });
}
